## ros-kinetic-mrpt-tutorials 0.1.26

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
set (CMAKE_CXX_STANDARD 14)
project(mrpt_tutorials)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES mrpt_tutorials
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)

## Declare a cpp library
# add_library(mrpt_tutorials
#   src/${PROJECT_NAME}/mrpt_tutorials.cpp
# )

## Declare a cpp executable
# add_executable(mrpt_tutorials_node src/mrpt_tutorials_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(mrpt_tutorials_node mrpt_tutorials_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(mrpt_tutorials_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS mrpt_tutorials mrpt_tutorials_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  cfg
  gazebo
  launch
  maps
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_mrpt_tutorials.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-kinetic-mrpt-tutorials (0.1.26-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.25-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.24-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.23-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.22-1xenial) xenial; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.21-1xenial) xenial; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * Merge branch 'master' into master
  * Merge branch 'master' into compat-mrpt-1.5
  * Adapted CMakeLists to new mrpt
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.20-1xenial) xenial; urgency=high

  * Adapted CMakeLists to new mrpt
  * Contributors: Borys Tymchenko, Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 25 Apr 2018 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.18-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.17-1xenial) xenial; urgency=high

  * make catkin_lint clean
  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Contributors: Jorge Santos, Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.16-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 12 Dec 2016 23:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.15-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 05 Nov 2016 23:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.14-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 11 Sep 2016 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.13-1xenial) xenial; urgency=high

  * fix problematic (for bloom) German characters
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.12-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.11-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 20 Aug 2016 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.10-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.9-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.8-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Jun 2016 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.7-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 19 Jun 2016 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.6-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 19 Mar 2016 23:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.5-1xenial) xenial; urgency=high

  * update on gazebo model for tutorial
  * Contributors: Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Apr 2015 22:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.4-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 26 Dec 2014 23:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.3-1xenial) xenial; urgency=high

  * Fix many missing install files
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.2-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.1-1xenial) xenial; urgency=high

  * First public binary release.

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000

ros-kinetic-mrpt-tutorials (0.1.0-1xenial) xenial; urgency=high

  * re-added run-time deps
  * consistent version numbers
  * config and demos tested

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-mrpt-tutorials
Section: misc
Priority: extra
Maintainer: Markus Bader <markus.bader@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-mrpt-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-teleop-twist-keyboard, ros-kinetic-tf
Description: Example files used as tutorials for MRPT ROS packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-mrpt-tutorials//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
